### Class

# Ggit CredPlaintext

#### Description [src]

    class Ggit.CredPlaintext : Ggit.Cred
      implements Gio.Initable {
      /* No available fields */
    }

Represents a plain text credential.

#### Hierarchy

#### Ancestors

- GgitCred
- GgitNative
- GgitObjectFactoryBase
- GObject

#### Implements

- GInitable

#### Constructors

###### ggit_cred_plaintext_new

No description available.

#### Instance methods

###### ggit_cred_plaintext_get_password

No description available.

###### ggit_cred_plaintext_get_username

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Ggit.CredPlaintext:password

No description available.

###### Ggit.CredPlaintext:username

No description available.

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitCredPlaintextClass {
      /* no available fields */
    }

No description available.